import java.util.*;
import java.io.*;



public class Main {

     static PrintWriter p;

     public static void main(String[] args) throws Exception{
        Scanner s= new Scanner(new File("count.in"));
         p = new PrintWriter(new File("count.out"));
         String st = s.next();
         s.nextLine();
         String word = s.next();
         int l = word.length();
         int count = 0;
         for(int i = 0; i < st.length();i++){
             if (i+l<=st.length()){
                 if(st.substring(i,i+l).equals(word)) count++;
             }
         }
         p.println(count);



         
         p.close();


}
}


